# KSPGetRhs

Gets the right-hand-side vector for the linear system to be solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetRhs(KSP ksp,Vec *r)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

r -right-hand-side vector

### Keywords

KSP, get, right-hand-side, rhs

### See Also

KSPGetSolution(), KSPSolve()

Level:developer
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages